lo_cpp.h(3)

NAME
lo_cpp.h

SYNOPSIS

  Data Structures
class lo::Method
Class representing an OSC method, proxy for lo_method.
class lo::Address
Class representing an OSC destination address, proxy for lo_address.
class lo::Message
Class representing an OSC message, proxy for lo_message.
class lo::Server
Class representing a local OSC server, proxy for lo_server.
class lo::ServerThread
Class representing a server thread, proxy for lo_server_thread.
class lo::Blob
Class representing an OSC blob, proxy for lo_blob.
struct lo::PathMsg
Class representing an OSC path (std::string) and lo::Message pair.
class lo::Bundle
Class representing an OSC bundle, proxy for lo_bundle.

  Functions
std::string lo::version ()
Return the library version as an std::string.
lo_timetag lo::now ()
Return the current time in lo_timetag format.
lo_timetag lo::immediate ()
Return the OSC timetag representing 'immediately'.

Detailed Description

The liblo C++ wrapper

Definition in file lo_cpp.h.

Function Documentation

  lo_timetag lo::immediate () [inline]

Return the OSC timetag representing 'immediately'.

Definition at line 1098 of file lo_cpp.h.

References lo::immediate(), and LO_TT_IMMEDIATE.

Referenced by lo::immediate().

  lo_timetag lo::now () [inline]

Return the current time in lo_timetag format.

Definition at line 1095 of file lo_cpp.h.

References lo_timetag_now(), and lo::now().

Referenced by lo::now().

  std::string lo::version () [inline]

Return the library version as an std::string.

Definition at line 1088 of file lo_cpp.h.

References lo_version(), and lo::version().

Referenced by lo::version().

Author

Generated automatically by Doxygen for liblo from the source code.